JMeterTreeNodeTransferable (Apache JMeter dist API)
Description: declaration: package: org.apache.jmeter.util, class: JMeterTreeNodeTransferable

Package org.apache.jmeter.util

# Class JMeterTreeNodeTransferable

java.lang.Object
org.apache.jmeter.util.JMeterTreeNodeTransferable

All Implemented Interfaces:
  `Transferable`

public class JMeterTreeNodeTransferable extends Object implements Transferable
Simple implementation of a transferable for `JMeterTreeNode` arrays based on serialization.

Since:
  2.9

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final DataFlavor`
  `JMETER_TREE_NODE_ARRAY_DATA_FLAVOR`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JMeterTreeNodeTransferable()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getTransferData(DataFlavor flavor)`
  `DataFlavor[]`
  `getTransferDataFlavors()`
  `boolean`
  `isDataFlavorSupported(DataFlavor flavor)`
  `void`
  `setTransferData(JMeterTreeNode[] nodes)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### JMETER_TREE_NODE_ARRAY_DATA_FLAVOR

    public static final DataFlavor JMETER_TREE_NODE_ARRAY_DATA_FLAVOR

- ## Constructor Details

  - ### JMeterTreeNodeTransferable

    public JMeterTreeNodeTransferable()

- ## Method Details

  - ### getTransferDataFlavors

    public DataFlavor[] getTransferDataFlavors()
    Specified by:
      `getTransferDataFlavors` in interface `Transferable`

  - ### isDataFlavorSupported

    public boolean isDataFlavorSupported(DataFlavor flavor)
    Specified by:
      `isDataFlavorSupported` in interface `Transferable`

  - ### getTransferData

    public Object getTransferData(DataFlavor flavor) throws UnsupportedFlavorException, IOException
    Specified by:
      `getTransferData` in interface `Transferable`
    Throws:
      `UnsupportedFlavorException`
      `IOException`

  - ### setTransferData

    public void setTransferData(JMeterTreeNode[] nodes) throws IOException
    Throws:
      `IOException`